# Because dash is not allowed in RPM version numbers
%global real_version 1.6.5-1

Name:           swingx
Version:        1.6.5.1
Release:        14%{?dist}
Summary:        A collection of Swing components
License:        LGPLv2
URL:            https://swingx.java.net/
BuildArch:      noarch

# Generated by
# svn export https://svn.java.net/svn/swingx~svn/tags/swingx-project-1.6.5-1/
# tar -cJf swingx-project-1.6.5-1.tar.xz swingx-project-1.6.5-1
Source0:        swingx-project-%{real_version}.tar.xz

# Remove dep that is not needed for successful test run
Patch0:         swingx-remove-jhlabs-filters.patch
# Remove use of internal com.sun API for Java 7 compatibility
Patch1:         swingx-java7-swing-painter-compat.patch
# Accomodate in tests for extra validation performed in Java 7
Patch2:         swingx-java7-treepath-compat.patch
# These two tests fail for an unknown reason
Patch3:         swingx-uititlelabel-test-failure.patch
# Handle Java 8 verisons
Patch4:         swingx-java8-compat.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.mockito:mockito-core)


%description
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.


%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-project-%{real_version}
%patch0 -p1 -b.orig
%patch1 -p0 -b.orig
%patch2 -p0 -b.orig
%patch3 -p0 -b.orig
%patch4 -p0 -b.orig

# Remove all binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.so" -exec rm -f {} \;
find . -name "*.dll" -exec rm -f {} \;

# Don't build or install SwingX Test Support module (code and classes
# to support testing SwingX). Classes contained in this module are for
# internal SwingX use only. And the Test Support module doesn't build
# against the version of mockito in Fedora >= 30.
%pom_disable_module swingx-testsupport


%build
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%doc COPYING


%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 29 2019 Omair Majid <omajid@redhat.com> - 1.6.5.1-13
- Fix build by disabling swing-testsupport module

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.5.1-10
- Cleanup package
- Don't install swingx-testsupport module

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 24 2017 Omair Majid <omajid@redhat.com> - 1.6.5.1-7
- Add BuildRequires on jvnet-parent
- Resolves RHBZ 1424530

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 24 2014 Omair Majid <omajid@redhat.com> - 1.6.5.1-4
- Disable tests to build with OpenJDK 8

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 17 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.5.1-2
- Remove bundled prebuilt binaries, rhbz #1005500

* Mon Jul 29 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.5.1-1
- Update to latest upstream, rhbz #964407
- Update spec for latest guidelines

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Fix issues pointed out in the package review

* Thu Jan 13 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-5
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-4
- Add comments explaining the patches
- Update Summary following discussion on fedora-devel list

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-3
- Flag Maven depmap as "config"

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-2
- Fix cosmetic issues in spec file
- Add ant-nodeps to BuildRequires

* Tue Nov  4 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-1
- Initial package
